package com.clx.performance.service.impl;


import com.clx.open.sdk.callback.OpenCallBackClient;
import com.clx.performance.config.ThirdAppConfig;
import com.clx.performance.service.AppService;
import com.msl.common.base.Optional;
import com.msl.common.open.core.EncryptApp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author Min
 * Date 2024-06-14
 * Time 11:51
 */
@Service
public class AppServiceImpl  implements AppService {

    @Autowired
    private ThirdAppConfig thirdAppConfig;
    @Override
    public Optional<EncryptApp> getByAppId(String appId) {
        //获取配置信息
        OpenCallBackClient openCallBackClient = thirdAppConfig.getOpenCallBackClient(appId);
        EncryptApp app = new EncryptApp() {
            @Override
            public String getAppId() {
                return openCallBackClient.getAppNo();
            }

            @Override
            public String getAppKey() {
                return openCallBackClient.getSecret();
            }
        };
        return Optional.of(app);
    }
}
